System Commands
Ta treść nie jest jeszcze dostępna w Twoim języku.
Reboot Device
Section titled “Reboot Device”Initiates a delayed device reboot.
POST /api/cmd/reboot/
Request Parameters:
| Field | Type | Description |
|---|---|---|
rebootSec | integer | Delay before reboot, from 0 to 180 seconds. |
Example Request:
{ "rebootSec": 3}Set Time
Section titled “Set Time”Sets the device time immediately.
POST /api/cmd/time/set/
Request Parameters:
| Field | Type | Description |
|---|---|---|
time | string | Time in ISO 8601 format relative to UTC0. |
Example Request:
{ "time": "2025-05-15T16:50:27"}Sync Time
Section titled “Sync Time”Immediately synchronizes device time with NTP servers specified in settings.
POST /api/cmd/time/sync/
Example Request:
{}Task files
Section titled “Task files”Clears the in-memory task list and rereads task files from the memory card.
Check memTaskfiles state for compilation or runtime errors.
POST /api/cmd/tasks/reread/
Example Request:
{}